seo:
  title: What went down at the Q3'2019 GitLab Hackathon
  description: >-
    A recap of GitLab community accomplishments during the record-setting
    Hackathon on August 28-29.
  ogTitle: What went down at the Q3'2019 GitLab Hackathon
  ogDescription: >-
    A recap of GitLab community accomplishments during the record-setting
    Hackathon on August 28-29.
  noIndex: false
  ogImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  ogUrl: https://about.gitlab.com/blog/q3-hackathon-recap
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/q3-hackathon-recap
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "What went down at the Q3'2019 GitLab Hackathon",
            "author": [{"@type":"Person","name":"Ray Paik"}],
            "datePublished": "2019-10-01",
          }

content:
  title: What went down at the Q3'2019 GitLab Hackathon
  description: >-
    A recap of GitLab community accomplishments during the record-setting
    Hackathon on August 28-29.
  authors:
    - Ray Paik
  heroImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  date: '2019-10-01'
  body: >


    {::options parse_block_html="true" /}




    The GitLab community gathered on August 28-29 for the Q3 Hackathon, and it
    looks like many came back refreshed after their summer holidays (at least in
    the Northern Hemisphere) as we set a new record for the number of MRs
    submitted. This was also our first anniversary of the GitLab Hackathon, so
    it was definitely exciting to see the continued growth of this community
    event. We again had many people following the tutorial sessions, which can
    be found on [the Hackathon
    playlist](https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh).
    If you have any suggestions for tutorial topics at future Hackathons you
    should definitely let me know on the comments!


    [![Hackathon
    playlist](https://about.gitlab.com/images/blogimages/Hackathon_playlist_q3_2019.png){:
    .shadow.medium.center}](https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh)


    ## What did we accomplish?


    It's probably not an overstatement to say we actually smashed the previous
    contribution records with [97 merge requests
    (MRs)](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/24)
    submitted. By September 10th, 66 of these MRs were already merged. The
    previous record was 67 MRs submitted during the Q1'2019 Hackathon, so I
    really want to thank the GitLab community for the enthusiasm you brought to
    this edition of the Hackathon. 


    I was happy to see a number of UX-related MRs following [the GitLab Design
    System
    tutorial](https://www.youtube.com/watch?v=Zp-jJNQJhZk&list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh&index=4&t=0s).
    I also want to highlight contributions from [Lee
    Tickett](https://gitlab.com/leetickett) and [Michel
    Engelen](https://gitlab.com/michel.engelen) during the Hackathon, as their
    MRs required both research and in-depth knowledge of the code base. I
    encourage you to check out both
    [Lee's](https://gitlab.com/groups/gitlab-org/-/merge_requests?scope=all&utf8=%E2%9C%93&state=all&author_username=leetickett&label_name[]=Hackathon)
    and
    [Michel's](https://gitlab.com/gitlab-org/gitlab-ui/merge_requests?scope=all&utf8=%E2%9C%93&state=all&author_username=michel.engelen&label_name[]=Hackathon)
    Hackathon MRs that helped improve the GitLab frontend and UI.


    ![Hackathon
    stats](https://about.gitlab.com/images/blogimages/Hackathon_data.png){:
    .shadow.medium.center}


    ## Hackathon prizes


    For this Hackathon, we created a special edition 1-year anniversary prize
    for everyone who had their MRs merged by September 10th and [23
    people](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/27)
    will be receiving the GitLab Hackathon branded power bank. As we did in Q2,
    we have a prize for second place and we have a three way tie between [Michel
    Engelen](https://gitlab.com/michel.engelen), [George
    Tsiolis](https://gitlab.com/gtsiolis), and [Maneschi
    Romain](https://gitlab.com/RmManeschi). As for the grand prize, I'm going to
    also call this a three way tie among [Shan](https://gitlab.com/sgohar),
    [Arun Kumar Mohan](https://gitlab.com/auua), and [Lee
    Tickett](https://gitlab.com/leetickett). Although Arun and Lee had one less
    MR merged, their MRs in general required more work so they are very
    deserving of the grand prize. Congratulatations to everyone!


    ![Hackathon
    prizes](https://about.gitlab.com/images/community/hackathon/Q32019-prizes-v2.png){:
    .shadow.medium.center}


    ## When is the next Hackathon?


    I'm happy to announce that the Q4 Hackathon will take place on November
    13-14. It is already advertised on [the Hackathon
    page](/community/hackathon/) with a new countdown clock. Please look out for
    more announcements as we get closer to the next Hackathon date. Also, if you
    have any suggestions for the Q4 Hackathon please feel free to bring them to
    [the GitLab Contributors Gitter](https://gitter.im/gitlabhq/contributors).


    ## How do I get started with contributing?


    A good place to start is the [Contributing to GitLab
    page](/community/contribute/), where you can learn how you can

    contribute to GitLab code, documentation, translation, and UX design.


    If you have any questions, you are always welcome to reach me at
    rpaik@gitlab.com.


    ["GitLab application screengrab"](https://unsplash.com/photos/ZV_64LdGoao)
    by [Pankaj Patel](https://unsplash.com/@pankajpatel) on Unsplash

    {: .note}
  category: Unfiltered
  tags:
    - community
    - collaboration
    - open source
config:
  slug: q3-hackathon-recap
  featured: false
  template: BlogPost
